/* Global Variable */
:root {
    --main-color: #ff5c5c;
    --main-color-hover: #f83232;
    --dark-color: #3c4542;
    --container-width: 1100px;
}

/* Global Style */
* {
    box-sizing: border-box;
    scroll-behavior: smooth;
    scroll-margin: 150px;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
}
html,
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    width: 100%;
}
h1 {
    margin: 0;
    padding: 0;
    font-size: 2rem;
    text-shadow: 2px 2px 3px silver;
}
.button {
    border-radius: 8px;
    text-decoration: none;
    display: inline-block;
    margin-top: 1.3em;
    padding: 0.7em 1.2em;
    background-color: var(--main-color);
    color: #ffffff;
    box-shadow: 5px 5px #000000;
    font-size: 1.1em;
}
.button:hover {
    background-color: var(--main-color-hover);
}

/* Navigation */
.nav-container {
    background-color: var(--dark-color);
    position: sticky;
    top: 0;
    z-index: 100;
}
.nav-container header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    height: 60px;
    margin: 0 auto;
}
.nav-container .logo img {
    width: 110px;
    padding-top: 10px;
}
.nav-container ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
}
.nav-container li a {
    display: block;
    color: #ffffff;
    padding: 0 1.1em;
    text-decoration: none;
    text-transform: uppercase;
    height: 60px;
    line-height: 60px;
    font-weight: bold;
}
.nav-container li a:hover {
    color: var(--main-color);
    transition: all 0.3s;
    border-bottom: 5px solid var(--main-color);
}

/* Hide hamburger icon */
header label,
#hamburger {
    display: none;
}

/*  Hero Image */
.hero-container {
    background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.3)),
        url("../img/hero.jpg");
    width: 100%;
    height: 70vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
}
.hero-text {
    text-align: center;
    color: #ffffff;
}
.hero-text h1 {
    font-size: 4em;
    text-shadow: 4px 4px #000000;
}
.hero-text p {
    font-size: 2em;
    margin: 0;
    text-shadow: 2px 2px #000000;
}
.hero-text a {
    text-decoration: none;
    display: inline-block;
    margin-top: 1.3em;
    padding: 0.7em 1.2em;
    background-color: orangered;
    color: #ffffff;
    box-shadow: 5px 5px #000000;
    font-size: 1.1em;
}
.hero-text a:hover {
    background-color: #ff6933;
}

/* Menu */
.menu-title {
    text-align: center;
    margin: 25px 0 30px 0;
}
.menu-title hr {
    width: 25%;
    border: 0;
    border-top: 1px solid #dddddd;
}
.menu {
    display: flex;
    justify-content: space-between;
    max-width: var(--container-width);
    margin: 0 auto;
    padding: 2em;
}
.menu-image, .menu-text {
    width: 50%;
    margin: 1em;
    line-height: 25px;
}
.menu-image img {
    width: 100%;
    height: 300px;
    border: 1px solid silver;
    padding: 0.3rem;
    box-shadow: 2px 2px 5px #000000;
    border-radius: 8px;
}
.menu-text h1 {
    margin-top: 5px;
}
.more-menu-text {
    text-align: center;
}
/* Benefit and Services */
.benefit-container {
    max-width: var(--container-width);
    margin: 3rem auto;
    text-align: center;
}
.benefit-container header hr {
    width: 35%;
    border: 0;
    border-top: 1px solid #dddddd;
}
.benefit-container section {
    margin-top: 2rem;
    display: flex;
    flex-flow: row wrap;
}
.benefit-container section div {
    width: 25%;
    padding: 1em 2em;
}
/* Explore */
.explore-container {
    width: 100%;
    padding: 0 2em;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.6)),
        url("../img/explore.jpg");
    text-align: center;
    color: #ffffff;
}
.explore-text {
    max-width: var(--container-width);
    margin: 0 auto;
    padding: 3rem 0;
}
.explore-text h1 {
    text-shadow: 1px 1px 2px #000000;
}
.explore-text p {
    font-size: 1.3rem;
    text-shadow: 1px 1px 2px #000000;
}

/* Blog Index */
.blog-container {
    max-width: var(--container-width);
    margin: 3rem auto;
}
.blog-container header {
    padding: 0 2em;
    text-align: center;
}
.blog-container header hr {
    width: 25%;
    border: 0;
    border-top: 1px solid #dddddd;
}
.blog-index {
    margin-top: 1rem;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    padding: 0 2%;
}
.blog-index .snippet {
    width: 32%;
    margin-top: 1rem;
    border: 1px solid #dddddd;
    border-radius: 8px;
}
.blog-index .snippet-image {
    width: 100%;
}

.blog-index .snippet-text {
    padding: 0 1em;
    margin-bottom: 20px;
}
.blog-index .snippet-text h2 {
    text-align: center;
}
.blog-index .snippet-text small {
    color: #999999;
}

/* Efect hover for picture blog index */
.snippet figure {
    margin: 0;
    padding: 0;
    width: 100%;
    overflow: hidden;
}
.snippet-image {
    transform: rotate(10deg) scale(1.4);
    transition: 0.3s ease-in-out;
}
.snippet figure:hover img {
    transform: rotate(0) scale(1.1);
}

/* Footer */
.footer-container {
    margin-top: 3rem;
    color: #ffffff;
    background-color: var(--dark-color);
    padding: 2rem 1rem;
}
.footer-container a {
    text-decoration: none;
    color: #ffffff;
}
.footer-container a:hover {
    text-decoration: underline;
}
.footer-menu {
    max-width: var(--container-width);
    margin: 0 auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}
.footer-menu section {
    width: 23%;
    text-align: center;
}
.footer-menu ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
.footer-menu h3 {
    margin-top: 0;
}
.logo-container img {
    width: 65px;
}
.footer-copyright {
    max-width: var(--container-width);
    margin: 0 auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    padding: 0.5rem;
}
.footer-copyright a {
    margin-left: 0.5rem;
}
.footer-copyright a:hover {
    text-decoration: none;
}

/* Media Query Tablet */
@media screen and (max-width: 768px) {
    /* Show hamburger icon */
    .nav-container header label {
        display: inline-block;
        color: #ffffff;
        font-style: normal;
        font-size: 2rem;
        padding: 0.5rem;
        padding-left: 1rem;
    }
    /* Vertical navigasi menu */
    .nav-container header {
        width: 100%;
    }
    /* Navigasi */
    .nav-container nav ul {
        flex-direction: column;
        width: 100%;
        position: absolute;
        top: 60px;
        left: 0;
    }
    .nav-container li a {
        display: block;
        color: #ffffff;
        background-color: var(--dark-color);
        padding: 0 2em;
        text-decoration: none;
        text-transform: uppercase;
        height: auto;
    }
    .nav-container li a:hover {
        border-bottom: none;
    }
    /* Set logo to right*/
    .nav-container .logo {
        position: absolute;
        right: 20px;
        z-index: 1000;
    }
    .nav-container .logo img {
        width: 80px;
    }
    /* show / hide menu */
    .nav-container nav {
        display: none;
    }
    .nav-container header input:checked ~ nav {
        display: flex;
    }
    /* menu */
    .menu {
        flex-direction: column;
        padding: 1em 2em;
    }
    .menu-image,
    .menu-text {
        width: auto;
    }
    /* benefit and services */
    .benefit-container section div {
        width: 50%;
    }
    .benefit-container header p {
        margin: 10px;
    }
    /* Blog Index */
    .blog-container .snippet {
        width: 48%;
    }
}

/* Media Query Phone */
@media screen and (max-width: 515px) {
    /* Hero Text */
    .hero-text h1 {
        font-size: 38px;
        margin-bottom: 10px;
    }
    .hero-text p {
        font-size: 20px;
    }
    .menu-image img {
        width: 100%;
        height: 200px;
        border: 1px solid silver;
        padding: 0.3rem;
        box-shadow: 2px 2px 5px #000000;
        float: left;
    }
    .menu-text h1 {
        font-size: 25px;
    }
    .benefit-container section div {
        width: 100%;
    }
    .benefit-container header p {
        margin: 10px;
    }
    /* Blog Index */
    .blog-container .snippet {
        width: 98%;
    }
    .blog-index {
        justify-content: center;
    }
    /* Footer */
    .footer-menu section {
        width: 98%;
        margin-top: 1rem;
    }
    .footer-copyright {
        margin-top: 1rem;
        justify-content: center;
    }
}
